Package org.pushingpixels.flamingo.internal.ui.ribbon.appmenu

# Class BasicRibbonApplicationMenuButtonUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
org.pushingpixels.flamingo.internal.ui.common.CommandButtonUI
org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI
org.pushingpixels.flamingo.internal.ui.ribbon.appmenu.BasicRibbonApplicationMenuButtonUI

public class BasicRibbonApplicationMenuButtonUI extends BasicCommandButtonUI
Basic UI for ribbon application menu button `JRibbonApplicationMenuButton`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JRibbonApplicationMenuButton`
`applicationMenuButton`
The associated application menu button.

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI

`basicPopupButtonListener, buttonRendererPane, commandButton, disposePopupsActionListener, DONT_DISPOSE_POPUPS, EMULATE_SQUARE_BUTTON, isUnderMouse, layoutInfo, layoutManager, popupActionIcon, popupActionListener, propertyChangeListener, rendererButton, rendererSeparator`

## Constructor Summary

Constructors
Constructor
Description
`BasicRibbonApplicationMenuButtonUI(JRibbon ribbon)`
Constructs a `BasicRibbonApplicationMenuButtonUI` specifying the `JRibbon` the button UI is created for.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`configureRenderer()`
`static ComponentUI`
`createUI(JComponent component)`
Creates a UI delegate for a `JRibbonApplicationMenuButton`.
`JRibbon`
`getRibbon()`
Returns the ribbon reference this button UI is created for.
`protected void`
`installComponents()`
Installs subcomponents on the associated command button.
`protected void`
`installDefaults()`
Installs defaults on the associated command button.
`void`
`installUI(JComponent c)`
`void`
`paint(Graphics g, JComponent c)`
`protected void`
`paintButtonBackground(Graphics graphics, Rectangle toFill)`
Paints the button background.
`protected void`
`setRibbon(JRibbon ribbon)`
Sets the ribbon this button UI is created for.
`protected void`
`unconfigureRenderer()`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI

`createButtonListener, createPopupActionIcon, createPopupActionListener, createRendererButton, getForegroundColor, getIconToPaint, getKeyTipAnchorCenterPoint, getLayoutGap, getLayoutInfo, getPreferredSize, installKeyboardActions, installListeners, isPaintingBackground, isPaintingSeparators, paintButtonBackground, paintButtonHorizontalSeparator, paintButtonIcon, paintButtonVerticalSeparator, paintPopupActionIcon, processPopupAction, syncDisabledIcon, syncIconDimension, toUseDisabledIcon, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, updateBorder, updateCustomDimension, updatePopupActionIcon`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### applicationMenuButton

protected JRibbonApplicationMenuButton applicationMenuButton
The associated application menu button.

## Constructor Details

### BasicRibbonApplicationMenuButtonUI

public BasicRibbonApplicationMenuButtonUI(JRibbon ribbon)
Constructs a `BasicRibbonApplicationMenuButtonUI` specifying the `JRibbon` the button UI is created for.

Parameters:
  `ribbon` - the ribbon

## Method Details

### createUI

public static ComponentUI createUI(JComponent component)
Creates a UI delegate for a `JRibbonApplicationMenuButton`. The `JRibbon` the menu button belongs to is required in order to create this UI.

The `component` may be a supported object instance which is a `JRibbon` or has a reference to the application `JRibbon`.

Parameters:
  `component` - a `JRibbon` to be used as criteria for creating the UI for a new `BasicRibbonApplicationMenuButtonUI`
Throws:
  `IllegalArgumentException` - if `component` is not a `JRibbon`
See Also:
  - `ComponentUI.createUI(javax.swing.JComponent)`

### getRibbon

public JRibbon getRibbon()
Returns the ribbon reference this button UI is created for.

Returns:
  the ribbon reference

### setRibbon

protected void setRibbon(JRibbon ribbon)
Sets the ribbon this button UI is created for.

Parameters:
  `ribbon` - the ribbon

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `BasicCommandButtonUI`

### installDefaults

protected void installDefaults()
Description copied from class: `BasicCommandButtonUI`
Installs defaults on the associated command button.

Overrides:
  `installDefaults` in class `BasicCommandButtonUI`

### configureRenderer

protected void configureRenderer()

Overrides:
  `configureRenderer` in class `BasicCommandButtonUI`

### unconfigureRenderer

protected void unconfigureRenderer()

Overrides:
  `unconfigureRenderer` in class `BasicCommandButtonUI`

### installComponents

protected void installComponents()
Description copied from class: `BasicCommandButtonUI`
Installs subcomponents on the associated command button.

Overrides:
  `installComponents` in class `BasicCommandButtonUI`

### paint

public void paint(Graphics g, JComponent c)

Overrides:
  `paint` in class `BasicCommandButtonUI`

### paintButtonBackground

protected void paintButtonBackground(Graphics graphics, Rectangle toFill)
Paints the button background.

Overrides:
  `paintButtonBackground` in class `BasicCommandButtonUI`
Parameters:
  `graphics` - Graphics context.
  `toFill` - Rectangle to fill.